Bug 76469 - System locks up trying to do 3d-acceleration
System locks up trying to do 3d-acceleration
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
8.0
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-22 01:54 EDT by Michael Knepher
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-31 14:24:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XF86Config (3.61 KB, text/plain)
2002-10-25 02:39 EDT, Michael Knepher
no flags Details
Here's my XFree86 log (55.89 KB, text/plain)
2002-10-25 02:43 EDT, Michael Knepher
no flags Details

  None (edit)
Description Michael Knepher 2002-10-22 01:54:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2b) Gecko/20021017
Phoenix/0.3

Description of problem:
When trying to run any 3d-accelerated apps with a radeon card (have tried Radeon
64 and 7500), the system locks up hard. If it's a windowed app, everything
freezes as is, if it's a full-screen app (i.e., a game), the screen goes black.
Cannot ssh into the machine at all, requires reset.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run X
2. Attempt to launch app that uses 3d acceleration
3. 
	

Actual Results:  System locks up.

Expected Results:  App should have run with 3d acceleration

Additional info:

Athlon XP 1800+
Soyo board with ALi Magik chipset
Radeon 64 DDR / AIW Radeon 7500 (same results with either card)
512Mb RAM
Comment 1 Mike A. Harris 2002-10-24 12:40:05 EDT
Attach your X server config file and log.  Also provide the output of:

lspci -vn
uname -a
cat /proc/version
Comment 2 Michael Knepher 2002-10-25 02:39:38 EDT
Created attachment 82004 [details]
XF86Config
Comment 3 Michael Knepher 2002-10-25 02:43:41 EDT
Created attachment 82005 [details]
Here's my XFree86 log
Comment 4 Michael Knepher 2002-10-25 02:47:08 EDT
uname -a:

Linux doriath.sonichope.com 2.4.18-17.8.0 #1 Tue Oct 8 11:48:09 EDT 2002 i686
athlon i386 GNU/Linux

=================================

[root@doriath log]# cat /proc/version
Linux version 2.4.18-17.8.0 (bhcompile@porky.devel.redhat.com) (gcc version 3.2
20020903 (Red Hat Linux 8.0 3.2-7)) #1 Tue Oct 8 11:48:09 EDT 2002

=================================

lspci -vn output:

00:00.0 Class 0600: 10b9:1647 (rev 02)
	Flags: bus master, medium devsel, latency 0
	Memory at e8000000 (32-bit, prefetchable) [size=64M]
	Capabilities: [b0] AGP version 2.0
	Capabilities: [a4] Power Management version 1

00:01.0 Class 0604: 10b9:5247
	Flags: bus master, slow devsel, latency 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 0000c000-0000cfff
	Memory behind bridge: ec000000-edffffff
	Prefetchable memory behind bridge: e0000000-e7ffffff

00:02.0 Class 0c03: 10b9:5237 (rev 03) (prog-if 10)
	Subsystem: 10b9:5237
	Flags: bus master, medium devsel, latency 32, IRQ 11
	Memory at ee103000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [60] Power Management version 2

00:04.0 Class 0101: 10b9:5229 (rev c4) (prog-if 8a [Master SecP PriP])
	Subsystem: 10b9:5229
	Flags: bus master, medium devsel, latency 32
	[virtual] I/O ports at 01f0
	[virtual] I/O ports at 03f4
	[virtual] I/O ports at 0170
	[virtual] I/O ports at 0374
	I/O ports at d400 [size=16]
	Capabilities: [60] Power Management version 2

00:06.0 Class 0c03: 10b9:5237 (rev 03) (prog-if 10)
	Subsystem: 10b9:5237
	Flags: bus master, medium devsel, latency 32, IRQ 11
	Memory at ee101000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [60] Power Management version 2

00:07.0 Class 0601: 10b9:1533
	Subsystem: 10b9:1533
	Flags: bus master, medium devsel, latency 0

00:09.0 Class 0703: 134d:7891 (rev 02)
	Subsystem: 134d:0001
	Flags: medium devsel, IRQ 11
	I/O ports at dc00 [size=64]
	Capabilities: [40] Power Management version 2

00:0a.0 Class 0480: 1105:8300 (rev 01)
	Flags: bus master, medium devsel, latency 32, IRQ 11
	Memory at ee000000 (32-bit, non-prefetchable) [size=1M]

00:0b.0 Class 0401: 1102:0002 (rev 05)
	Subsystem: 1102:8040
	Flags: bus master, medium devsel, latency 32, IRQ 5
	I/O ports at e000 [size=32]
	Capabilities: [dc] Power Management version 1

00:0b.1 Class 0980: 1102:7002 (rev 05)
	Subsystem: 1102:0020
	Flags: bus master, medium devsel, latency 32
	I/O ports at e400 [size=8]
	Capabilities: [dc] Power Management version 1

00:0d.0 Class 0200: 10ec:8029
	Subsystem: 10b8:2011
	Flags: medium devsel, IRQ 11
	I/O ports at e800 [size=32]

00:11.0 Class 0680: 10b9:7101
	Subsystem: 10b9:7101
	Flags: medium devsel

01:00.0 Class 0300: 1002:5157
	Subsystem: 1002:0f2a
	Flags: bus master, stepping, 66Mhz, medium devsel, latency 32, IRQ 10
	Memory at e0000000 (32-bit, prefetchable) [size=128M]
	I/O ports at c000 [size=256]
	Memory at ed000000 (32-bit, non-prefetchable) [size=64K]
	Expansion ROM at <unassigned> [disabled] [size=128K]
	Capabilities: [58] AGP version 2.0
	Capabilities: [50] Power Management version 2

Comment 5 Mike A. Harris 2002-12-30 08:56:59 EST
Try updating your kernel to the latest release from up2date, there are some
DRM lockup bugs fixed in the latest release.

Also, if the latest kernel does not resolve this, can you list what specific
software locks up for you?  
Comment 6 Mike A. Harris 2002-12-30 08:59:04 EST
Also, if you can reproduce this easily still, please capture the output
of "lsmod" just prior to running a 3D app, and attach it to the bug report.
Comment 7 Michael Knepher 2002-12-31 14:24:59 EST
I now believe this may be a hardware problem related to my motherboard. I tried
installing a 3d-accelerated game under Windows 2000 this past weekend, and the
system locked up when trying to start the game.

Note You need to log in before you can comment on or make changes to this bug.